Subject: Re: [PATCH v5 09/17] repo-settings: introduce commitgraph.changedPathsVersion

From: Taylor Blau <[email-masked]>
Date: Mon, 29 Jan 2024 18:58:42 -0500

On Mon, Jan 29, 2024 at 10:26:14PM +0100, SZEDER Gábor wrote:
> At this point in the series this test fails with:
>
>   + test_cmp expect.err err
>   + test 2 -ne 2
>   + eval diff -u "$@"
>   + diff -u expect.err err
>   --- expect.err  2024-01-29 21:02:57.927462620 +0000
>   +++ err 2024-01-29 21:02:57.923462642 +0000
>   @@ -1 +0,0 @@
>   -warning: disabling Bloom filters for commit-graph layer 'e338a7a1b4cfa5f6bcd31aea3e027df67d06442a' due to incompatible settings
>   error: last command exited with $?=1

Very good catch, thanks, I'm not sure how this one slipped through.

The fix should be mostly trivial, but I'll have to reroll the series
since it has some minor fallout outside of just this patch.

Junio, please hold off on merging this to 'next' until I've had a chance
to send out a new round.

Thanks,
Taylor